/**
 * @copy    Wrightia, S.A. (c) 2010
 * @author  Antnio Abreu
 * @date    18-NOV-2010
 * Complements to the javascript native objects.
 */
String.prototype.trim = function() { return this.replace(/^\s+|\s+$/g, ""); };

String.replicate = function(character, times)
   /** Create a new String filled with the given character, the given times. */
   {
      var xResult = "";

      for(var xIdx = 0; xIdx < times; xIdx++)
         xResult += character;

      return xResult;
   };

String.prototype.padL = function(length, paddingChar)
   /** Pads a String with characters to the left up to a given length. */
   {
      return String.replicate(paddingChar, length - this.length) + this;
   };
