<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv='content-type'  content='text/html; charset=utf-8'>
      <title>Wrightia :: Service's Comments Viewer</title>
      %invoke wia.svccommtsvuer.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      %end invoke%
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="css/package.css" />
      <link rel="stylesheet" type="text/css" href="css/service_comments.css" />
      <link rel="stylesheet" type="text/css" href="css/print.css" media="print" />
      <style>
      %ifvar showDeveloperNotes equals('true')%
         div.developerNote {
            display: block;
         }
      %endif%
      </style>
<!--[if IE]>
      <style>
         div.developerNote p, div.developerNote dl {
            font-size: 85%;
         }
         .commentsView td.label {
            width: 20%;
         }
         .viewOperation td.ie {
            text-align: center;
         }
      </style>
<![endif]-->
      <script type="text/JavaScript">

         function toggleDevComments()
         /*****************************************************************/{
            var xDN_DIV = document.getElementsByClassName("developerNote");

            if (xDN_DIV)
               for(var xIdx = 0; xIdx < xDN_DIV.length; xIdx++)
                  if (xDN_DIV[xIdx].tagName.toLowerCase() == "div")
                     {
                     if (xDN_DIV[xIdx].style.display)
                        {
                        if (xDN_DIV[xIdx].style.display == "none")
                           xDN_DIV[xIdx].style.display = "block";
                        else
                           xDN_DIV[xIdx].style.display = "none";
                        }
                     else
                        {
                        var xSDN = "%ifvar showDeveloperNotes%%value showDeveloperNotes%%else%false%endif%";

                        if (xSDN == "true")
                           xDN_DIV[xIdx].style.display = "none";
                        else
                           xDN_DIV[xIdx].style.display = "block";
                        }
                     }
         }

      </script>
   </head>

   <body>
      <table class="topContainer">
         <tr>
            <td class="menusection menusection-ServiceCommentsViewer" colspan="2">Service Selection &gt; View Comments</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="./">Go Home</a></li>
                  %ifvar remoteAlias -notempty%
                     <li><a href="service_select.dsp?selectServer=%value remoteAlias encode(url)%">Select another service on same server</a></li>
                     <li><a href="service_select.dsp">Select another service (re-select server)</a></li>
                     <li><a href="service_comments.dsp?remoteAlias=%value remoteAlias encode(url)%&serviceName=%value serviceName encode(url)%%ifvar showDeveloperNotes%&showDeveloperNotes=true%endif%">Refresh</a></li>
                  %else%
                     <li><a href="service_select.dsp">Select another service%ifvar noremoteaccess equals('true')%%else%/server%endif%</a></li>
                     <li><a href="service_comments.dsp?serviceName=%value serviceName encode(url)%%ifvar showDeveloperNotes%&showDeveloperNotes=true%endif%">Refresh</a></li>
                  %endif%
                  <li><a href="javascript:toggleDevComments();">Toggle developer notes</a></li>
               </ul>
            <td>
         </tr>
      </table>
      <table class="mainContainer"><!-- this table is being used only to set a left indentation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            %invoke wia.pub.svccommtsvuer:get%
               <td>
                  %scope Comments%
                     %include service_comments_snippet.dsp%
                  %end scope%
               </td>
            %onerror%
               <td class="message" colspan="4">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br/><br/>
                  %value errorMessage encode(xml)%
               </td>
            %end invoke%
         </tr>
      </table>
   </body>
</html>
